Index: misc/CMake/FindX11.cmake
===================================================================
--- misc/CMake/FindX11.cmake	(revision 54114)
+++ misc/CMake/FindX11.cmake	(working copy)
@@ -130,16 +130,16 @@
 #
 #=============================================================================
 
-MACRO(X11_FIND_INCLUDE_PATH component header)
+macro(X11_FIND_INCLUDE_PATH component header)
   find_path(X11_${component}_INCLUDE_PATH ${header} ${X11_INC_SEARCH_PATH} NO_CMAKE_SYSTEM_PATH)
   set(X11_HDR_VARS ${X11_HDR_VARS} X11_${component}_INCLUDE_PATH)
   if(X11_${component}_INCLUDE_PATH)
     set(X11_HDR_PATHS ${X11_HDR_PATHS} ${X11_${component}_INCLUDE_PATH})
     list(REMOVE_DUPLICATES X11_HDR_PATHS)
   endif(X11_${component}_INCLUDE_PATH)
-ENDMACRO(X11_FIND_INCLUDE_PATH)
+endmacro(X11_FIND_INCLUDE_PATH)
 
-MACRO(X11_FIND_LIB_PATH component libname)
+macro(X11_FIND_LIB_PATH component libname)
   find_library(X11_${component}_LIB ${libname} ${X11_LIB_SEARCH_PATH} NO_CMAKE_SYSTEM_PATH)
   set(X11_LIB_VARS ${X11_LIB_VARS} X11_${component}_LIB)
   if(X11_${component}_LIB)
@@ -147,7 +147,7 @@
     set(X11_LIB_PATHS ${X11_LIB_PATHS} ${X11_${component}_DIR})
     list(REMOVE_DUPLICATES X11_LIB_PATHS)
   endif(X11_${component}_LIB)
-ENDMACRO(X11_FIND_LIB_PATH)
+endmacro(X11_FIND_LIB_PATH)
 
 if(UNIX)
   set(X11_FOUND 0)
@@ -208,63 +208,63 @@
   set(X11_LIB_PATHS)
 
   # Find primary X11 headers
-  X11_FIND_INCLUDE_PATH(X11		X11/X.h)
-  X11_FIND_INCLUDE_PATH(Xlib		X11/Xlib.h)
+  x11_find_include_path(X11		X11/X.h)
+  x11_find_include_path(Xlib		X11/Xlib.h)
   # Look for other X11 includes; keep the list sorted by name of the cmake X11_<component>_INCLUDE_PATH
   # variable (component doesn't need to match the include file name).
-  X11_FIND_INCLUDE_PATH(ICE 		X11/ICE/ICE.h)
-  X11_FIND_INCLUDE_PATH(Xaccessrules 	X11/extensions/XKBrules.h)
-  X11_FIND_INCLUDE_PATH(Xaccessstr 	X11/extensions/XKBstr.h)
-  X11_FIND_INCLUDE_PATH(Xau 		X11/Xauth.h)
-  X11_FIND_INCLUDE_PATH(Xcomposite 	X11/extensions/Xcomposite.h)
-  X11_FIND_INCLUDE_PATH(Xcursor 	X11/Xcursor/Xcursor.h)
-  X11_FIND_INCLUDE_PATH(Xdamage 	X11/extensions/Xdamage.h)
-  X11_FIND_INCLUDE_PATH(Xdmcp 		X11/Xdmcp.h)
-  X11_FIND_INCLUDE_PATH(dpms 		X11/extensions/dpms.h)
-  X11_FIND_INCLUDE_PATH(xf86misc 	X11/extensions/xf86misc.h)
-  X11_FIND_INCLUDE_PATH(xf86vmode 	X11/extensions/xf86vmode.h)
-  X11_FIND_INCLUDE_PATH(Xfixes		X11/extensions/Xfixes.h)
-  X11_FIND_INCLUDE_PATH(Xft		X11/Xft/Xft.h)
-  X11_FIND_INCLUDE_PATH(Xi		X11/extensions/XInput.h)
-  X11_FIND_INCLUDE_PATH(Xinerama	X11/extensions/Xinerama.h)
-  X11_FIND_INCLUDE_PATH(Xinput		X11/extensions/XInput.h)
-  X11_FIND_INCLUDE_PATH(Xkb		X11/extensions/XKB.h)
-  X11_FIND_INCLUDE_PATH(Xkblib		X11/XKBlib.h)
-  X11_FIND_INCLUDE_PATH(Xpm		X11/xpm.h)
-  X11_FIND_INCLUDE_PATH(XTest		X11/extensions/XTest.h)
-  X11_FIND_INCLUDE_PATH(XShm		X11/extensions/XShm.h)
-  X11_FIND_INCLUDE_PATH(Xrandr		X11/extensions/Xrandr.h)
-  X11_FIND_INCLUDE_PATH(Xrender		X11/extensions/Xrender.h)
-  X11_FIND_INCLUDE_PATH(Xscreensaver	X11/extensions/scrnsaver.h)
-  X11_FIND_INCLUDE_PATH(Xshape		X11/extensions/shape.h)
-  X11_FIND_INCLUDE_PATH(Xutil		X11/Xutil.h)
-  X11_FIND_INCLUDE_PATH(Xt		X11/Intrinsic.h)
-  X11_FIND_INCLUDE_PATH(Xv		X11/extensions/Xvlib.h)
+  x11_find_include_path(ICE 		X11/ICE/ICE.h)
+  x11_find_include_path(Xaccessrules 	X11/extensions/XKBrules.h)
+  x11_find_include_path(Xaccessstr 	X11/extensions/XKBstr.h)
+  x11_find_include_path(Xau 		X11/Xauth.h)
+  x11_find_include_path(Xcomposite 	X11/extensions/Xcomposite.h)
+  x11_find_include_path(Xcursor 	X11/Xcursor/Xcursor.h)
+  x11_find_include_path(Xdamage 	X11/extensions/Xdamage.h)
+  x11_find_include_path(Xdmcp 		X11/Xdmcp.h)
+  x11_find_include_path(dpms 		X11/extensions/dpms.h)
+  x11_find_include_path(xf86misc 	X11/extensions/xf86misc.h)
+  x11_find_include_path(xf86vmode 	X11/extensions/xf86vmode.h)
+  x11_find_include_path(Xfixes		X11/extensions/Xfixes.h)
+  x11_find_include_path(Xft		X11/Xft/Xft.h)
+  x11_find_include_path(Xi		X11/extensions/XInput.h)
+  x11_find_include_path(Xinerama	X11/extensions/Xinerama.h)
+  x11_find_include_path(Xinput		X11/extensions/XInput.h)
+  x11_find_include_path(Xkb		X11/extensions/XKB.h)
+  x11_find_include_path(Xkblib		X11/XKBlib.h)
+  x11_find_include_path(Xpm		X11/xpm.h)
+  x11_find_include_path(XTest		X11/extensions/XTest.h)
+  x11_find_include_path(XShm		X11/extensions/XShm.h)
+  x11_find_include_path(Xrandr		X11/extensions/Xrandr.h)
+  x11_find_include_path(Xrender		X11/extensions/Xrender.h)
+  x11_find_include_path(Xscreensaver	X11/extensions/scrnsaver.h)
+  x11_find_include_path(Xshape		X11/extensions/shape.h)
+  x11_find_include_path(Xutil		X11/Xutil.h)
+  x11_find_include_path(Xt		X11/Intrinsic.h)
+  x11_find_include_path(Xv		X11/extensions/Xvlib.h)
 
 
   # Find primary X11 library
-  X11_FIND_LIB_PATH(X11			X11)
+  x11_find_lib_path(X11			X11)
   # Find additional X libraries. Keep list sorted by library name.
-  X11_FIND_LIB_PATH(ICE			ICE)
-  X11_FIND_LIB_PATH(SM			SM)
-  X11_FIND_LIB_PATH(Xau			Xau)
-  X11_FIND_LIB_PATH(Xcomposite		Xcomposite)
-  X11_FIND_LIB_PATH(Xcursor		Xcursor)
-  X11_FIND_LIB_PATH(Xdamage		Xdamage)
-  X11_FIND_LIB_PATH(Xdmcp		Xdmcp)
-  X11_FIND_LIB_PATH(Xext		Xext)
-  X11_FIND_LIB_PATH(Xfixes		Xfixes)
-  X11_FIND_LIB_PATH(Xft			Xft)
-  X11_FIND_LIB_PATH(Xi			Xi)
-  X11_FIND_LIB_PATH(Xinerama		Xinerama)
-  X11_FIND_LIB_PATH(Xpm			Xpm)
-  X11_FIND_LIB_PATH(Xrandr		Xrandr)
-  X11_FIND_LIB_PATH(Xrender		Xrender)
-  X11_FIND_LIB_PATH(Xscreensaver	Xss)
-  X11_FIND_LIB_PATH(Xt			Xt)
-  X11_FIND_LIB_PATH(XTest		Xtst)
-  X11_FIND_LIB_PATH(Xv			Xv)
-  X11_FIND_LIB_PATH(Xxf86misc		Xxf86misc)
+  x11_find_lib_path(ICE			ICE)
+  x11_find_lib_path(SM			SM)
+  x11_find_lib_path(Xau			Xau)
+  x11_find_lib_path(Xcomposite		Xcomposite)
+  x11_find_lib_path(Xcursor		Xcursor)
+  x11_find_lib_path(Xdamage		Xdamage)
+  x11_find_lib_path(Xdmcp		Xdmcp)
+  x11_find_lib_path(Xext		Xext)
+  x11_find_lib_path(Xfixes		Xfixes)
+  x11_find_lib_path(Xft			Xft)
+  x11_find_lib_path(Xi			Xi)
+  x11_find_lib_path(Xinerama		Xinerama)
+  x11_find_lib_path(Xpm			Xpm)
+  x11_find_lib_path(Xrandr		Xrandr)
+  x11_find_lib_path(Xrender		Xrender)
+  x11_find_lib_path(Xscreensaver	Xss)
+  x11_find_lib_path(Xt			Xt)
+  x11_find_lib_path(XTest		Xtst)
+  x11_find_lib_path(Xv			Xv)
+  x11_find_lib_path(Xxf86misc		Xxf86misc)
 
   set(X11_LIBRARY_DIR "")
   if(X11_X11_LIB)
@@ -437,69 +437,69 @@
       set(X11_X_EXTRA_LIBS "")
 
       # See if XOpenDisplay in X11 works by itself.
-      CHECK_LIBRARY_EXISTS("${X11_LIBRARIES}" "XOpenDisplay" "${X11_LIBRARY_DIR}" X11_LIB_X11_SOLO)
+      check_library_exists("${X11_LIBRARIES}" "XOpenDisplay" "${X11_LIBRARY_DIR}" X11_LIB_X11_SOLO)
       if(NOT X11_LIB_X11_SOLO)
         # Find library needed for dnet_ntoa.
-        CHECK_LIBRARY_EXISTS("dnet" "dnet_ntoa" "" X11_LIB_DNET_HAS_DNET_NTOA)
+        check_library_exists("dnet" "dnet_ntoa" "" X11_LIB_DNET_HAS_DNET_NTOA)
         if(X11_LIB_DNET_HAS_DNET_NTOA)
-          SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -ldnet)
+          set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -ldnet)
         else(X11_LIB_DNET_HAS_DNET_NTOA)
-          CHECK_LIBRARY_EXISTS("dnet_stub" "dnet_ntoa" "" X11_LIB_DNET_STUB_HAS_DNET_NTOA)
+          check_library_exists("dnet_stub" "dnet_ntoa" "" X11_LIB_DNET_STUB_HAS_DNET_NTOA)
           if(X11_LIB_DNET_STUB_HAS_DNET_NTOA)
-            SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -ldnet_stub)
+            set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -ldnet_stub)
           endif(X11_LIB_DNET_STUB_HAS_DNET_NTOA)
         endif(X11_LIB_DNET_HAS_DNET_NTOA)
       endif(NOT X11_LIB_X11_SOLO)
 
       # Find library needed for gethostbyname.
-      CHECK_FUNCTION_EXISTS("gethostbyname" CMAKE_HAVE_GETHOSTBYNAME)
+      check_function_exists("gethostbyname" CMAKE_HAVE_GETHOSTBYNAME)
       if(NOT CMAKE_HAVE_GETHOSTBYNAME)
-        CHECK_LIBRARY_EXISTS("nsl" "gethostbyname" "" CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
+        check_library_exists("nsl" "gethostbyname" "" CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
         if(CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
-          SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lnsl)
+          set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lnsl)
         else(CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
-          CHECK_LIBRARY_EXISTS("bsd" "gethostbyname" "" CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
+          check_library_exists("bsd" "gethostbyname" "" CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
           if(CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
-            SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lbsd)
+            set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lbsd)
           endif(CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
         endif(CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
       endif(NOT CMAKE_HAVE_GETHOSTBYNAME)
 
       # Find library needed for connect.
-      CHECK_FUNCTION_EXISTS("connect" CMAKE_HAVE_CONNECT)
+      check_function_exists("connect" CMAKE_HAVE_CONNECT)
       if(NOT CMAKE_HAVE_CONNECT)
-        CHECK_LIBRARY_EXISTS("socket" "connect" "" CMAKE_LIB_SOCKET_HAS_CONNECT)
+        check_library_exists("socket" "connect" "" CMAKE_LIB_SOCKET_HAS_CONNECT)
         if(CMAKE_LIB_SOCKET_HAS_CONNECT)
-          SET (X11_X_EXTRA_LIBS -lsocket ${X11_X_EXTRA_LIBS})
+          set (X11_X_EXTRA_LIBS -lsocket ${X11_X_EXTRA_LIBS})
         endif(CMAKE_LIB_SOCKET_HAS_CONNECT)
       endif(NOT CMAKE_HAVE_CONNECT)
 
       # Find library needed for remove.
-      CHECK_FUNCTION_EXISTS("remove" CMAKE_HAVE_REMOVE)
+      check_function_exists("remove" CMAKE_HAVE_REMOVE)
       if(NOT CMAKE_HAVE_REMOVE)
-        CHECK_LIBRARY_EXISTS("posix" "remove" "" CMAKE_LIB_POSIX_HAS_REMOVE)
+        check_library_exists("posix" "remove" "" CMAKE_LIB_POSIX_HAS_REMOVE)
         if(CMAKE_LIB_POSIX_HAS_REMOVE)
-          SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lposix)
+          set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lposix)
         endif(CMAKE_LIB_POSIX_HAS_REMOVE)
       endif(NOT CMAKE_HAVE_REMOVE)
 
       # Find library needed for shmat.
-      CHECK_FUNCTION_EXISTS("shmat" CMAKE_HAVE_SHMAT)
+      check_function_exists("shmat" CMAKE_HAVE_SHMAT)
       if(NOT CMAKE_HAVE_SHMAT)
-        CHECK_LIBRARY_EXISTS("ipc" "shmat" "" CMAKE_LIB_IPS_HAS_SHMAT)
+        check_library_exists("ipc" "shmat" "" CMAKE_LIB_IPS_HAS_SHMAT)
         if(CMAKE_LIB_IPS_HAS_SHMAT)
-          SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lipc)
+          set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lipc)
         endif(CMAKE_LIB_IPS_HAS_SHMAT)
       endif(NOT CMAKE_HAVE_SHMAT)
     endif($ENV{ISC} MATCHES "^yes$")
 
     if(X11_ICE_FOUND)
-      CHECK_LIBRARY_EXISTS("ICE" "IceConnectionNumber" "${X11_LIBRARY_DIR}"
+      check_library_exists("ICE" "IceConnectionNumber" "${X11_LIBRARY_DIR}"
         CMAKE_LIB_ICE_HAS_ICECONNECTIONNUMBER)
       if(CMAKE_LIB_ICE_HAS_ICECONNECTIONNUMBER)
-        SET (X11_X_PRE_LIBS ${X11_ICE_LIB})
+        set (X11_X_PRE_LIBS ${X11_ICE_LIB})
         if(X11_SM_LIB)
-          SET (X11_X_PRE_LIBS ${X11_SM_LIB} ${X11_X_PRE_LIBS})
+          set (X11_X_PRE_LIBS ${X11_SM_LIB} ${X11_X_PRE_LIBS})
         endif(X11_SM_LIB)
       endif(CMAKE_LIB_ICE_HAS_ICECONNECTIONNUMBER)
     endif(X11_ICE_FOUND)
@@ -548,7 +548,7 @@
     endif("${LIB_PATH_CNT}" GREATER 1)
 
     include(FindPackageMessage)
-    FIND_PACKAGE_MESSAGE(X11 "Found X11: ${X11_X11_LIB}"
+    find_package_message(X11 "Found X11: ${X11_X11_LIB}"
       "[${X11_X11_LIB}][${X11_INCLUDE_DIR}]")
   else(X11_FOUND)
     if(X11_FIND_REQUIRED)
Index: misc/CMake/FindPERPLEX.cmake
===================================================================
--- misc/CMake/FindPERPLEX.cmake	(revision 54114)
+++ misc/CMake/FindPERPLEX.cmake	(working copy)
@@ -65,7 +65,7 @@
   endif(EXISTS /usr/share/perplex/perplex_template.c AND NOT PERPLEX_TEMPLATE)
 endif(PERPLEX_EXECUTABLE AND NOT PERPLEX_TEMPLATE)
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(PERPLEX DEFAULT_MSG PERPLEX_EXECUTABLE PERPLEX_TEMPLATE)
+find_package_handle_standard_args(PERPLEX DEFAULT_MSG PERPLEX_EXECUTABLE PERPLEX_TEMPLATE)
 mark_as_advanced(PERPLEX_TEMPLATE)
 
 #============================================================
Index: misc/CMake/FindADAPTAGRAMS.cmake
===================================================================
--- misc/CMake/FindADAPTAGRAMS.cmake	(revision 54114)
+++ misc/CMake/FindADAPTAGRAMS.cmake	(working copy)
@@ -52,9 +52,9 @@
 set(ADAPTAGRAMS_LIBRARIES    ${AVOID_LIBRARY} CACHE STRING "Adaptagrams libs")
 
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(ADAPTAGRAMS DEFAULT_MSG AVOID_LIBRARY AVOID_INCLUDE_DIR)
+find_package_handle_standard_args(ADAPTAGRAMS DEFAULT_MSG AVOID_LIBRARY AVOID_INCLUDE_DIR)
 
-MARK_AS_ADVANCED(ADAPTAGRAMS_LIBRARIES ADAPTAGRAMS_INCLUDE_DIRS AVOID_LIBRARY AVOID_INCLUDE_DIR)
+mark_as_advanced(ADAPTAGRAMS_LIBRARIES ADAPTAGRAMS_INCLUDE_DIRS AVOID_LIBRARY AVOID_INCLUDE_DIR)
 # Local Variables:
 # tab-width: 8
 # mode: cmake
Index: misc/CMake/ThirdParty_TCL.cmake
===================================================================
--- misc/CMake/ThirdParty_TCL.cmake	(revision 54114)
+++ misc/CMake/ThirdParty_TCL.cmake	(working copy)
@@ -249,7 +249,7 @@
       set(CURRENT_TCL_PACKAGE_NAME ${pkgname})
       set(pkg_test_file ${CMAKE_BINARY_DIR}/CMakeTmp/${pkgname}_version.tcl)
       configure_file(${BRLCAD_SOURCE_DIR}/misc/CMake/tcltest.tcl.in ${pkg_test_file} @ONLY)
-      EXEC_PROGRAM(${wishcmd} ARGS ${pkg_test_file} OUTPUT_VARIABLE EXECOUTPUT)
+      exec_program(${wishcmd} ARGS ${pkg_test_file} OUTPUT_VARIABLE EXECOUTPUT)
       file(READ ${CMAKE_BINARY_DIR}/CMakeTmp/${PKGNAME_UPPER}_PKG_VERSION pkgversion)
       string(REGEX REPLACE "\n" "" ${PKGNAME_UPPER}_PACKAGE_VERSION ${pkgversion})
       if(${PKGNAME_UPPER}_PACKAGE_VERSION)
@@ -333,9 +333,9 @@
 	endif(BRLCAD_BUILD_${DEP_UPPER})
       endforeach(dep ${depends})
       include(${CMAKE_CURRENT_SOURCE_DIR}/${PKGNAME_LOWER}.dist)
-      CMAKEFILES_IN_DIR(${PKGNAME_LOWER}_ignore_files ${dir})
+      cmakefiles_in_dir(${PKGNAME_LOWER}_ignore_files ${dir})
     else(${CMAKE_PROJECT_NAME}_${PKGNAME_UPPER}_BUILD)
-      CMAKEFILES(${dir})
+      cmakefiles(${dir})
     endif(${CMAKE_PROJECT_NAME}_${PKGNAME_UPPER}_BUILD)
   endif(${PKGNAME_UPPER}_DISABLE_TEST)
 
@@ -384,14 +384,14 @@
 	endif(BRLCAD_BUILD_${DEP_UPPER})
       endforeach(dep ${depends})
       include(${CMAKE_CURRENT_SOURCE_DIR}/${PKGNAME_LOWER}.dist)
-      CMAKEFILES_IN_DIR(${PKGNAME_LOWER}_ignore_files ${dir})
+      cmakefiles_in_dir(${PKGNAME_LOWER}_ignore_files ${dir})
     else(${CMAKE_PROJECT_NAME}_${PKGNAME_UPPER}_BUILD)
-      CMAKEFILES(${dir})
+      cmakefiles(${dir})
     endif(${CMAKE_PROJECT_NAME}_${PKGNAME_UPPER}_BUILD)
   endif(NOT ${PKGNAME_UPPER}_MET_CONDITION)
 
-  OPTION_ALIASES("${CMAKE_PROJECT_NAME}_${PKGNAME_UPPER}" "${aliases}" "ABS")
-  OPTION_DESCRIPTION("${CMAKE_PROJECT_NAME}_${PKGNAME_UPPER}" "${aliases}" "${description}")
+  option_aliases("${CMAKE_PROJECT_NAME}_${PKGNAME_UPPER}" "${aliases}" "ABS")
+  option_description("${CMAKE_PROJECT_NAME}_${PKGNAME_UPPER}" "${aliases}" "${description}")
 
   # For drop-down menus in CMake gui - set STRINGS property
   set_property(CACHE ${CMAKE_PROJECT_NAME}_${PKGNAME_UPPER} PROPERTY STRINGS AUTO BUNDLED SYSTEM)
Index: misc/CMake/FindRE2C.cmake
===================================================================
--- misc/CMake/FindRE2C.cmake	(revision 54114)
+++ misc/CMake/FindRE2C.cmake	(working copy)
@@ -7,4 +7,4 @@
 mark_as_advanced(RE2C_EXECUTABLE)
 
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(RE2C DEFAULT_MSG RE2C_EXECUTABLE)
+find_package_handle_standard_args(RE2C DEFAULT_MSG RE2C_EXECUTABLE)
Index: misc/CMake/FindFontconfig.cmake
===================================================================
--- misc/CMake/FindFontconfig.cmake	(revision 54114)
+++ misc/CMake/FindFontconfig.cmake	(working copy)
@@ -62,7 +62,7 @@
   )
 
   include(FindPackageHandleStandardArgs)
-  FIND_PACKAGE_HANDLE_STANDARD_ARGS(Fontconfig DEFAULT_MSG FONTCONFIG_LIBRARIES FONTCONFIG_INCLUDE_DIR )
+  find_package_handle_standard_args(Fontconfig DEFAULT_MSG FONTCONFIG_LIBRARIES FONTCONFIG_INCLUDE_DIR )
 
   mark_as_advanced(FONTCONFIG_LIBRARIES FONTCONFIG_INCLUDE_DIR)
 
Index: misc/CMake/FindTERMLIB.cmake
===================================================================
--- misc/CMake/FindTERMLIB.cmake	(revision 54114)
+++ misc/CMake/FindTERMLIB.cmake	(working copy)
@@ -44,28 +44,28 @@
 include(ResolveCompilerPaths)
 macro(TERMLIB_CHECK_LIBRARY targetname lname func)
   if(NOT ${targetname}_LIBRARY)
-    CHECK_LIBRARY_EXISTS(${lname} ${func} "" HAVE_${targetname}_${lname})
+    check_library_exists(${lname} ${func} "" HAVE_${targetname}_${lname})
     if(HAVE_${targetname}_${lname})
       find_path(TERMLIB_INCLUDE_DIR ${lname}.h)
-      RESOLVE_LIBRARIES (${targetname}_LIBRARY "-l${lname}")
+      resolve_libraries (${targetname}_LIBRARY "-l${lname}")
       set(${targetname}_LINKOPT "-l${lname}" CACHE STRING "${targetname} link option")
       mark_as_advanced(${targetname}_LINKOPT)
     endif(HAVE_${targetname}_${lname})
   endif(NOT ${targetname}_LIBRARY)
 endmacro(TERMLIB_CHECK_LIBRARY lname func)
 
-TERMLIB_CHECK_LIBRARY(TERMLIB termlib tputs)
-TERMLIB_CHECK_LIBRARY(TERMLIB ncurses tputs)
-TERMLIB_CHECK_LIBRARY(TERMLIB curses tputs)
-TERMLIB_CHECK_LIBRARY(TERMLIB termcap tputs)
-TERMLIB_CHECK_LIBRARY(TERMLIB terminfo tputs)
-TERMLIB_CHECK_LIBRARY(TERMLIB tinfo tputs)
-TERMLIB_CHECK_LIBRARY(TERMLIB ccurses tputs)
+termlib_check_library(TERMLIB termlib tputs)
+termlib_check_library(TERMLIB ncurses tputs)
+termlib_check_library(TERMLIB curses tputs)
+termlib_check_library(TERMLIB termcap tputs)
+termlib_check_library(TERMLIB terminfo tputs)
+termlib_check_library(TERMLIB tinfo tputs)
+termlib_check_library(TERMLIB ccurses tputs)
 include(CheckCSourceRuns)
 configure_file(${BRLCAD_CMAKE_DIR}/test_srcs/termlib.c.in ${CMAKE_BINARY_DIR}/CMakeTmp/termlib.c)
 set(CMAKE_REQUIRED_LIBRARIES_BAK ${CMAKE_REQUIRED_LIBRARIES})
 set(CMAKE_REQUIRED_LIBRARIES ${TERMLIB_LIBRARY})
-CHECK_C_SOURCE_RUNS(${CMAKE_BINARY_DIR}/CMakeTmp/termlib.c LIBTERM_RESULT)
+check_c_source_runs(${CMAKE_BINARY_DIR}/CMakeTmp/termlib.c LIBTERM_RESULT)
 if(NOT LIBTERM_RESULT)
   set(TERMLIB_LIBRARY "NOTFOUND" CACHE STRING "TERMLIB" FORCE)
 else(NOT LIBTERM_RESULT)
@@ -76,7 +76,7 @@
 # handle the QUIETLY and REQUIRED arguments and set TERMLIB_FOUND to TRUE if
 # all listed variables are TRUE
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(TERMLIB DEFAULT_MSG TERMLIB_LIBRARY TERMLIB_INCLUDE_DIR)
+find_package_handle_standard_args(TERMLIB DEFAULT_MSG TERMLIB_LIBRARY TERMLIB_INCLUDE_DIR)
 
 
 # Local Variables:
Index: misc/CMake/Distcheck.cmake
===================================================================
--- misc/CMake/Distcheck.cmake	(revision 54114)
+++ misc/CMake/Distcheck.cmake	(working copy)
@@ -66,7 +66,7 @@
   # of the source files.  When we're doing distcheck, on the other hand, we CAN be intelligent
   # about triggering the copy rule - let's only do it once, since it's a rather slow operation.
   set(create_source_archive_dir_script "
-  CMAKE_POLICY(SET CMP0007 OLD)
+  cmake_policy(SET CMP0007 OLD)
   file(REMOVE_RECURSE \"${CMAKE_BINARY_DIR}/source_archive_contents\")
   file(STRINGS ${CMAKE_BINARY_DIR}/cmakefiles.cmake source_tree_files)
   file(STRINGS ${CMAKE_BINARY_DIR}/cmakedirs.cmake ignored_dirctories)
@@ -123,8 +123,8 @@
     get_target_property(not_in_all distcheck-${TARGET_SUFFIX} EXCLUDE_FROM_ALL)
     if(NOT not_in_all)
       # Need to set these locally so configure_file will pick them up...
-      SET(TARGET_SUFFIX ${TARGET_SUFFIX})
-      SET(CMAKE_OPTS ${CMAKE_OPTS})
+      set(TARGET_SUFFIX ${TARGET_SUFFIX})
+      set(CMAKE_OPTS ${CMAKE_OPTS})
 
       # For configure_file, need to set these as variables not just input parameters
       set(source_dir "${source_dir}")
@@ -135,7 +135,7 @@
       if("${CMAKE_GENERATOR}" MATCHES "Make")
 	if(NOT CMAKE_VERBOSE_DISTCHECK)
 	  set(TARGET_REDIRECT " >> distcheck-${TARGET_SUFFIX}.log 2>&1")
-	  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/distcheck-${TARGET_SUFFIX}.log)
+	  distclean(${CMAKE_CURRENT_BINARY_DIR}/distcheck-${TARGET_SUFFIX}.log)
 	endif(NOT CMAKE_VERBOSE_DISTCHECK)
 	set(DISTCHECK_BUILD_CMD "$(MAKE)")
 	set(DISTCHECK_INSTALL_CMD "$(MAKE) install")
@@ -173,8 +173,8 @@
       endif(${ARGV0_UPPER} STREQUAL "FULL")
     endif(${ARGC} EQUAL 1)
 
-    CREATE_DISTCHECK(enableall_debug   "-DCMAKE_BUILD_TYPE=Debug -DBRLCAD_BUNDLED_LIBS=BUNDLED" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "build" "install")
-    CREATE_DISTCHECK(enableall_release "-DCMAKE_BUILD_TYPE=Release -DBRLCAD_BUNDLED_LIBS=BUNDLED" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "build" "install")
+    create_distcheck(enableall_debug   "-DCMAKE_BUILD_TYPE=Debug -DBRLCAD_BUNDLED_LIBS=BUNDLED" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "build" "install")
+    create_distcheck(enableall_release "-DCMAKE_BUILD_TYPE=Release -DBRLCAD_BUNDLED_LIBS=BUNDLED" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "build" "install")
 
     add_custom_target(distcheck-std
       # The source repository verification script is responsible for generating these files
Index: misc/CMake/FindZLIB.cmake
===================================================================
--- misc/CMake/FindZLIB.cmake	(revision 54114)
+++ misc/CMake/FindZLIB.cmake	(working copy)
@@ -117,7 +117,7 @@
 )
 mark_as_advanced(ZLIB_LIBRARY ZLIB_INCLUDE_DIR)
 
-IF (ZLIB_INCLUDE_DIR AND EXISTS "${ZLIB_INCLUDE_DIR}/zlib.h")
+if (ZLIB_INCLUDE_DIR AND EXISTS "${ZLIB_INCLUDE_DIR}/zlib.h")
     file(READ "${ZLIB_INCLUDE_DIR}/zlib.h" ZLIB_H)
     string(REGEX REPLACE ".*#define ZLIB_VERSION \"([0-9]+)\\.([0-9]+)\\.([0-9]+)\".*" "\\1.\\2.\\3" ZLIB_VERSION_STRING "${ZLIB_H}")
 endif()
@@ -125,9 +125,9 @@
 # handle the QUIETLY and REQUIRED arguments and set ZLIB_FOUND to TRUE if
 # all listed variables are TRUE
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(ZLIB DEFAULT_MSG ZLIB_INCLUDE_DIR ZLIB_LIBRARY)
+find_package_handle_standard_args(ZLIB DEFAULT_MSG ZLIB_INCLUDE_DIR ZLIB_LIBRARY)
 
-IF (ZLIB_FOUND)
+if (ZLIB_FOUND)
     set(ZLIB_INCLUDE_DIRS ${ZLIB_INCLUDE_DIR})
     set(ZLIB_LIBRARIES    ${ZLIB_LIBRARY})
 endif()
Index: misc/CMake/FindSTL.cmake
===================================================================
--- misc/CMake/FindSTL.cmake	(revision 54114)
+++ misc/CMake/FindSTL.cmake	(working copy)
@@ -59,7 +59,7 @@
 
 # first try with no library
 set(CMAKE_REQUIRED_LIBRARIES "")
-CHECK_C_SOURCE_RUNS("${stl_test_src}" STL_LIB_TEST)
+check_c_source_runs("${stl_test_src}" STL_LIB_TEST)
 
 if("${STL_LIB_TEST}" EQUAL 1)
   # succeeded - no STL needed
@@ -71,7 +71,7 @@
   endif(NOT STDCXX_LIBRARIES)
 
   set(CMAKE_REQUIRED_LIBRARIES "${STDCXX_LIBRARIES}")
-  CHECK_C_SOURCE_RUNS("${stl_test_src}" STL_LIB_TEST)
+  check_c_source_runs("${stl_test_src}" STL_LIB_TEST)
 
   if("${STL_LIB_TEST}" EQUAL 1)
     set(STDCXX_LIBRARIES "${STDCXX_LIBRARIES}" CACHE STRING "STL found" FORCE)
@@ -83,7 +83,7 @@
 
   # handle the QUIETLY and REQUIRED arguments
   include(FindPackageHandleStandardArgs)
-  FIND_PACKAGE_HANDLE_STANDARD_ARGS(STL DEFAULT_MSG STDCXX_LIBRARIES)
+  find_package_handle_standard_args(STL DEFAULT_MSG STDCXX_LIBRARIES)
 endif("${STL_LIB_TEST}" EQUAL 1)
 mark_as_advanced(STDCXX_LIBRARIES)
 
Index: pix/CMakeLists.txt
===================================================================
--- pix/CMakeLists.txt	(revision 54114)
+++ pix/CMakeLists.txt	(working copy)
@@ -29,14 +29,14 @@
   cube.rt
   )
 
-BRLCAD_ADDDATA(BENCHMARK_PIX pix)
-BRLCAD_ADDDATA(PIX_LOG pix)
+brlcad_adddata(BENCHMARK_PIX pix)
+brlcad_adddata(PIX_LOG pix)
 
-CMAKEFILES(${BENCHMARK_PIX})
-CMAKEFILES(${OTHER_PIX})
-CMAKEFILES(${PIX_LOG})
-CMAKEFILES(${SAVEVIEWS})
-CMAKEFILES(Makefile.am)
+cmakefiles(${BENCHMARK_PIX})
+cmakefiles(${OTHER_PIX})
+cmakefiles(${PIX_LOG})
+cmakefiles(${SAVEVIEWS})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: doc/legal/CMakeLists.txt
===================================================================
--- doc/legal/CMakeLists.txt	(revision 54114)
+++ doc/legal/CMakeLists.txt	(working copy)
@@ -3,9 +3,9 @@
   bdl.txt
   lgpl.txt
   )
-ADD_DOC(doc_legal legal)
+add_doc(doc_legal legal)
 
-CMAKEFILES(Makefile.am bsd.txt bdl.txt lgpl.txt)
+cmakefiles(Makefile.am bsd.txt bdl.txt lgpl.txt)
 
 # Local Variables:
 # tab-width: 8
Index: doc/html/CMakeLists.txt
===================================================================
--- doc/html/CMakeLists.txt	(revision 54114)
+++ doc/html/CMakeLists.txt	(working copy)
@@ -2,7 +2,7 @@
   bookmarks.html
   toc.html
   )
-ADD_DOC(toplevel_HTML html)
+add_doc(toplevel_HTML html)
 
 set(anim_tutorial_HTML
   manuals/Anim_Tutorial/Lee_tux.gif
@@ -47,7 +47,7 @@
   manuals/Anim_Tutorial/v_eqn1.gif
   manuals/Anim_Tutorial/v_eqn2.gif
   )
-ADD_DOC(anim_tutorial_HTML html/manuals/Anim_Tutorial)
+add_doc(anim_tutorial_HTML html/manuals/Anim_Tutorial)
 
 set(cadwidgets_HTML
   manuals/cadwidgets/Command.html
@@ -64,14 +64,14 @@
   manuals/cadwidgets/index.html
   manuals/cadwidgets/skeleton.html
   )
-ADD_DOC(cadwidgets_HTML html/manuals/cadwidgets)
+add_doc(cadwidgets_HTML html/manuals/cadwidgets)
 
 set(libbu_HTML
   manuals/libbu/cmdhist_obj.html
   manuals/libbu/contents.html
   manuals/libbu/index.html
   )
-ADD_DOC(libbu_HTML html/manuals/libbu)
+add_doc(libbu_HTML html/manuals/libbu)
 
 set(libdm_HTML
   manuals/libdm/api.html
@@ -81,7 +81,7 @@
   manuals/libdm/preface.html
   manuals/libdm/tcl.html
   )
-ADD_DOC(libdm_HTML html/manuals/libdm)
+add_doc(libdm_HTML html/manuals/libdm)
 
 set(librt_HTML
   manuals/librt/contents.html
@@ -90,7 +90,7 @@
   manuals/librt/view_obj.html
   manuals/librt/wdb_obj.html
   )
-ADD_DOC(librt_HTML html/manuals/librt)
+add_doc(librt_HTML html/manuals/librt)
 
 set(manuals_HTML
   manuals/Install.html
@@ -101,7 +101,7 @@
   manuals/index.html
   manuals/small-eagleCAD.gif
   )
-ADD_DOC(manuals_HTML html/manuals)
+add_doc(manuals_HTML html/manuals)
 
 set(manuals_mged_animmate_HTML
   manuals/mged/animmate/anim_cascade.html
@@ -169,7 +169,7 @@
   manuals/mged/animmate/viewget.html
   manuals/mged/animmate/vscript_doc.html
   )
-ADD_DOC(manuals_mged_animmate_HTML html/manuals/mged/animmate)
+add_doc(manuals_mged_animmate_HTML html/manuals/mged/animmate)
 
 set(manuals_mged_HTML
   manuals/mged/az_el.gif
@@ -234,9 +234,9 @@
   manuals/mged/skipped
   manuals/mged/tex-html.tcl
   )
-ADD_DOC(manuals_mged_HTML html/manuals/mged)
+add_doc(manuals_mged_HTML html/manuals/mged)
 
-ADD_DOC(manuals/shaders/camo.html html/manuals/shaders)
+add_doc(manuals/shaders/camo.html html/manuals/shaders)
 
 set(relnotes_HTML
   ReleaseNotes/email2.0.html
@@ -247,7 +247,7 @@
   ReleaseNotes/email5.0.html
   ReleaseNotes/index.html
   )
-ADD_DOC(relnotes_HTML html/ReleaseNotes)
+add_doc(relnotes_HTML html/ReleaseNotes)
 
 set(relnotes_5_HTML
   ReleaseNotes/Rel5.0/deprecated.html
@@ -255,7 +255,7 @@
   ReleaseNotes/Rel5.0/new_cmds.html
   ReleaseNotes/Rel5.0/new_libs.html
   )
-ADD_DOC(relnotes_5_HTML html/ReleaseNotes/Rel5.0)
+add_doc(relnotes_5_HTML html/ReleaseNotes/Rel5.0)
 
 set(relnotes_5_summary_HTML
   ReleaseNotes/Rel5.0/Summary/activem.gif
@@ -331,9 +331,9 @@
   ReleaseNotes/Rel5.0/Summary/tsld018.htm
   ReleaseNotes/Rel5.0/Summary/tsld019.htm
   )
-ADD_DOC(relnotes_5_summary_HTML html/ReleaseNotes/Rel5.0/Summary)
+add_doc(relnotes_5_summary_HTML html/ReleaseNotes/Rel5.0/Summary)
 
-ADD_DOC(ReleaseNotes/Rel6.0/index.html html/ReleaseNotes/Rel6.0)
+add_doc(ReleaseNotes/Rel6.0/index.html html/ReleaseNotes/Rel6.0)
 
 set(html_ignore_files
   ReleaseNotes/Rel6.0
@@ -352,7 +352,7 @@
   manuals/librt/Makefile.am
   manuals/mged/Makefile.am
   )
-CMAKEFILES(${html_ignore_files})
+cmakefiles(${html_ignore_files})
 
 # Local Variables:
 # tab-width: 8
Index: doc/CMakeLists.txt
===================================================================
--- doc/CMakeLists.txt	(revision 54114)
+++ doc/CMakeLists.txt	(working copy)
@@ -1,7 +1,7 @@
 if(BRLCAD_EXTRADOCS)
   add_subdirectory(docbook)
 else(BRLCAD_EXTRADOCS)
-  CMAKEFILES(docbook)
+  cmakefiles(docbook)
 endif(BRLCAD_EXTRADOCS)
 
 add_subdirectory(html)
@@ -35,7 +35,7 @@
   mater.txt
   matrix.txt
   )
-ADD_DOC(documentation_DATA ".")
+add_doc(documentation_DATA ".")
 
 set(documentation_mged_old_DATA
   mged/a.tex
@@ -213,12 +213,12 @@
   tool_categories.txt
   ecosystem.dot
   )
-ADD_DOC(documentation_mged_old_DATA mged_old)
+add_doc(documentation_mged_old_DATA mged_old)
 
 configure_file(pad_file.xml.in ${CMAKE_CURRENT_BINARY_DIR}/pad_file.xml @ONLY)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pad_file.xml DESTINATION ${DOC_DIR})
 
-CMAKEFILES(Makefile.am pad_file.xml.in STARTERS)
+cmakefiles(Makefile.am pad_file.xml.in STARTERS)
 
 # Local Variables:
 # tab-width: 8
Index: doc/docbook/presentations/CMakeLists.txt
===================================================================
--- doc/docbook/presentations/CMakeLists.txt	(revision 54114)
+++ doc/docbook/presentations/CMakeLists.txt	(working copy)
@@ -1,5 +1,5 @@
 add_subdirectory(en)
-CMAKEFILES(README)
+cmakefiles(README)
 
 # Local Variables:
 # tab-width: 8
Index: doc/docbook/presentations/en/CMakeLists.txt
===================================================================
--- doc/docbook/presentations/en/CMakeLists.txt	(revision 54114)
+++ doc/docbook/presentations/en/CMakeLists.txt	(working copy)
@@ -9,10 +9,10 @@
   images/special-character-interpretation.png
   images/tk-based-gui-for-mged.png
   )
-ADD_DOC(docbook_presentations_EN_IMAGES html/presentations/en/images)
+add_doc(docbook_presentations_EN_IMAGES html/presentations/en/images)
 
-DOCBOOK_TO_HTML(presentation docbook_presentations_EN html/presentations/en docbook_presentations_EN_IMAGES_cp)
-DOCBOOK_TO_PDF(presentation docbook_presentations_EN pdf/presentations/en docbook_presentations_EN_IMAGES_cp)
+docbook_to_html(presentation docbook_presentations_EN html/presentations/en docbook_presentations_EN_IMAGES_cp)
+docbook_to_pdf(presentation docbook_presentations_EN pdf/presentations/en docbook_presentations_EN_IMAGES_cp)
 
 # Local Variables:
 # tab-width: 8
Index: doc/docbook/specifications/en/CMakeLists.txt
===================================================================
--- doc/docbook/specifications/en/CMakeLists.txt	(revision 54114)
+++ doc/docbook/specifications/en/CMakeLists.txt	(working copy)
@@ -2,9 +2,9 @@
   BRL_CAD_g_format_V5.xml
   )
 
-DOCBOOK_TO_HTML(specification docbook_specifications_EN html/specifications/en "")
+docbook_to_html(specification docbook_specifications_EN html/specifications/en "")
 
-DOCBOOK_TO_PDF(specification docbook_specifications_EN pdf/specifications/en "")
+docbook_to_pdf(specification docbook_specifications_EN pdf/specifications/en "")
 
 # Local Variables:
 # tab-width: 8
Index: doc/docbook/system/man5/en/CMakeLists.txt
===================================================================
--- doc/docbook/system/man5/en/CMakeLists.txt	(revision 54114)
+++ doc/docbook/system/man5/en/CMakeLists.txt	(working copy)
@@ -7,11 +7,11 @@
   plot3.xml
   )
 
-DOCBOOK_TO_HTML(man5 docbook_man5_EN html/man5/en "")
-DOCBOOK_TO_MAN(man5 docbook_man5_EN 5 5 man5 "")
+docbook_to_html(man5 docbook_man5_EN html/man5/en "")
+docbook_to_man(man5 docbook_man5_EN 5 5 man5 "")
 
 if(BRLCAD_EXTRADOCS_PDF_MAN)
-  DOCBOOK_TO_PDF(man5 docbook_man5_EN pdf/man5/en "")
+  docbook_to_pdf(man5 docbook_man5_EN pdf/man5/en "")
 endif(BRLCAD_EXTRADOCS_PDF_MAN)
 
 # Local Variables:
